NewsManager (Social Portal ASL Extension 0.1.2-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.applicationsupportlayer.social
Interface NewsManager

All Known Implementing Classes:
  ApplicationNewsManager

    public interface NewsManager

Version:
  0.1 Dec 2012
Author:
  Massimiliano Assante, ISTI-CNR

Method Summary
`boolean` | `shareApplicationUpdate(String feedtext)` use to share an update from your application
`boolean` | `shareApplicationUpdate(String feedtext, String uriGETparams)` use to share an update from your application with a reference to the news object
`boolean` | `shareApplicationUpdate(String feedtext, String uriGETparams, String previewTitle, String previewDescription, InputStream previewThumbnailInputStream, org.gcube.portal.databook.shared.ImageType imageExtension)` use to share an update from your application with a reference to the news object and with a link preview passing its input stream
`boolean` | `shareApplicationUpdate(String feedtext, String uriGETparams, String previewTitle, String previewDescription, String previewThumbnailUrl)` use to share an update from your application with a reference to the news object and with a link preview

Method Detail

### shareApplicationUpdate

    boolean shareApplicationUpdate(String feedtext)

  use to share an update from your application

  Parameters:
    `feedtext` - add a description for the update you are sharing
  Returns:
    true if the update is correctly delivered, false otherwise

### shareApplicationUpdate

    boolean shareApplicationUpdate(String feedtext,
                                   String uriGETparams)

  use to share an update from your application with a reference to the news object

  Parameters:
    `feedtext` - description for the update you are sharing
    `uriGETparams` - additional parameters if your application supports the direct opening of of this update's object e.g. id=12345&type=foo
  Returns:
    true if the update is correctly delivered, false otherwise

### shareApplicationUpdate

    boolean shareApplicationUpdate(String feedtext,
                                   String uriGETparams,
                                   String previewTitle,
                                   String previewDescription,
                                   String previewThumbnailUrl)

  use to share an update from your application with a reference to the news object and with a link preview

  Parameters:
    `feedtext` - add a description for the update you are sharing
    `uriGETparams` - additional parameters if your application supports the direct opening of of this update's object e.g. id=12345&type=foo
    `previewTitle` - the title to show in the preview
    `previewDescription` - the description to show in the preview
    `previewThumbnailUrl` - the image url to show in the preview
  Returns:
    true if the update is correctly delivered, false otherwise

### shareApplicationUpdate

    boolean shareApplicationUpdate(String feedtext,
                                   String uriGETparams,
                                   String previewTitle,
                                   String previewDescription,
                                   InputStream previewThumbnailInputStream,
                                   org.gcube.portal.databook.shared.ImageType imageExtension)

  use to share an update from your application with a reference to the news object and with a link preview passing its input stream

  Parameters:
    `feedtext` - add a description for the update you are sharing
    `uriGETparams` - additional parameters if your application supports the direct opening of of this update's object e.g. id=12345&type=foo
    `previewTitle` - the title to show in the preview
    `previewDescription` - the description to show in the preview
    `previewThumbnailInputStream` - the image url Input Stream to show in the preview
    `imageExtension` - the image Extension
  Returns:
    true if the update is correctly delivered, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.